Repository 32bit  Forum
Repository 64bit  Wiki

Da firefox 4.0 a 10.0: è il caso di aggiornare?

Postate qui per tutte le discussioni legate a Linux in generale.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Gnu/Linux in genere, se l'argomento è specifico alla Slackware usate uno dei forum Slackware o Slackware64.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

Re: Da firefox 4.0 a 10.0: è il caso di aggiornare?

Messaggioda fgcl2k » gio mar 22, 2012 8:58

sunreal ha scritto:Ma come crispio si fa ad avere firefox in italiano.....

Basta che installi il pacchetto mozilla-firefox-l10n-it di slacky. Imposta VERSION prima di lanciare lo SlackBuild.
Codice: Seleziona tutto
VERSION=11.0 ./mozilla-firefox-l10n-it.SlackBuild
Avatar utente
fgcl2k
Linux 2.0
Linux 2.0
 
Messaggi: 127
Iscritto il: gio ott 29, 2009 10:14
Nome Cognome: Federico
Slackware: 14 (64bit)
Desktop: KDE

Re: Da firefox 4.0 a 10.0: è il caso di aggiornare?

Messaggioda sunreal » ven mar 23, 2012 0:04

Il pacchetto l'ho trovato sul repo di slack 13.37 32bit ed è questo
mozilla-firefox-l10n-it - 6.0.2 - Slackware 13.37
da konsole do il comando:
VERSION=13.37 ./mozilla-firefox-l10n-it.SlackBuild
nella directory dove ho scaricato questi file:
langpacks.js
mozilla-firefox-l10n-it.Slackbuild
slack-desc
slack-required
ma mi esce questo errore:
--2012-03-22 23:59:26-- http://releases.mozilla.org/pub/mozilla ... xpi/it.xpi
Risoluzione di releases.mozilla.org (releases.mozilla.org)... 202.177.202.154, 204.152.184.113, 204.246.0.136, ...
Connessione a releases.mozilla.org (releases.mozilla.org)|202.177.202.154|:80... connesso.
HTTP richiesta inviata, in attesa di risposta... 404 Not Found
2012-03-22 23:59:27 ERRORE 404: Not Found.

./mozilla-firefox-l10n-it.SlackBuild FAILED at line 51
LA LINEA 51 CONTIENE:
wget $SOURCE
?????????????????'
Non so se è importante, ma uso la versione a 64bit di slack 13.37
sunreal
Master
Master
 
Messaggi: 1549
Iscritto il: sab apr 09, 2005 23:00
Località: P.P.P.

Re: Da firefox 4.0 a 10.0: è il caso di aggiornare?

Messaggioda fgcl2k » ven mar 23, 2012 8:22

Devi mettere il numero di versione di Firefox, non quello di Slackware. Io avevo scritto
Codice: Seleziona tutto
VERSION=11.0
nell'ipotesi che tu stessi installando Firefox 11.0. Lo script cerca di scaricare in automatico il "language pack" (it.xpi) adatto usando il numero di versione. Naturalmente non trova niente di adatto alla versione 13.37 di Firefox.

Per quanto riguarda l'architettura puoi eseguire:
Codice: Seleziona tutto
ARCH=x86_64  VERSION=11.0  ./mozilla-firefox-l10n-it.SlackBuild
Avatar utente
fgcl2k
Linux 2.0
Linux 2.0
 
Messaggi: 127
Iscritto il: gio ott 29, 2009 10:14
Nome Cognome: Federico
Slackware: 14 (64bit)
Desktop: KDE

Re: Da firefox 4.0 a 10.0: è il caso di aggiornare?

Messaggioda joe » ven mar 23, 2012 10:34

Riporto la mia esperienza... avevo aperto il topic proprio perchè solitamente sono abituato ad utilizzare pacchetti slackware ma nel caso di firefox ho adottato un'altra soluzione che mi pare comoda.
Praticamente quando firefox mi avverte che vi è una versione nuova, attualmente la 11.0 per esempio, vado sul sito di firefox o utilizzo un mirror da cui posso scaricare la versione che mi interessa, tipicamente quella italiana.
Per esempio da questo sito si possono scaricare le versioni localizzate nella lingua desiderata:
http://www.mozilla.org/en-US/firefox/all.html
Che nel mio caso sarebbe:
http://download.mozilla.org/?product=fi ... ux&lang=it

0- Ok. alla fine si scarica un pacchetto compresso tar.bz2.

1- Lo scompatto da qualche parte in "/opt" avendo cura di rinominare eventualmente la directory in base alla versione di firefox,
nel caso attuale per esempio ho una dir chiamata firefox-11.0 che contiene lo script di lacio del programma che si chiama prprio "firefox":
Codice: Seleziona tutto
joe@darkstar:~$ ls -l /opt|grep fire
lrwxrwxrwx  1 root root       25 2012-03-17 17:10 firefox -> /opt/firefox-11.0/firefox
drwxr-xr-x  3 root root     4096 2012-02-03 12:36 firefox-10.0
drwxr-xr-x  8 root root     4096 2012-02-08 16:23 firefox-10.0.1
-rw-r--r--  1 root root 16924149 2012-02-08 16:23 firefox-10.0.1.tar.bz2
-rw-r--r--  1 root root 13953320 2012-02-13 10:56 firefox-10.0.1.tar.bz2.bk
drwxr-xr-x 10 root root     4096 2012-02-22 14:02 firefox-10.0.2
drwxr-xr-x  8 root root     4096 2012-03-13 04:06 firefox-11.0
-rw-r--r--  1 root root 17441229 2012-03-13 04:08 firefox-11.0.tar.bz2
drwxr-xr-x  9 root root     4096 2011-01-17 00:21 firefox-4b09
drwxr-xr-x  3 root root     4096 2011-01-30 01:50 firefox-4b10
drwxr-xr-x 13 joe  1000     4096 2011-01-13 11:42 firefoxqt3


3- Ok, aquesto punto il nuovo eseguibile da lanciare per usare la versione 11.0 sarà: /opt/firefox-11.0/firefox

4- Ora, molti programmi tipo il mail client e altri possono richiedere l'uso del browser per operazioni varie tipo leggere una mail nel browser o aprire un link presente in una mail col browser. Ma per esempio anche nel menù di fluxbox voglio che alla voce Firefox corrisponda la nuova versione e cioè /opt/firefox-11.0/firefox.
Il fatto è che se io modificassi i files di configurazione di questi programmi specificando che il browser è quello del percorso sopraindicato, al successivo aggiornamento di firefox dovrei riconfigurare tutti i vari programmi.
Allora ho adottato la soluzione di creare un link simbolico /opt/firefox che punti alla versione più recente.
Quindi configuro tutti i programmi in modo che vedano come browser /opt/firefox (link simbolico) e poi creo il link simbolico stesso:

Codice: Seleziona tutto
ln -s /opt/firefox-11.0/firefox /opt/firefox


In questo modo al successivo aggiornamento (mettiamo per esempio che laversione prossima sia firefox-11.0.1) dovrò:
1- scaricare il tar.bz2
2- scompattarlo in /opt rinominando la directory in firefox-11.0.1
3- eliminare il vecchio link simbolico /opt/firefox
4- ricreare il nuovo link simbolico /opt/firefox in modo che punti il nuovo eseguibile /opt/firefox-11.0.1/firefox

In questo modo non devo toccare altro perchè i vari programmi sono già configurati per utilizzare /opt/firefox e quindi la versione 11.0.1.

Ho trovato comoda questa soluzione.
L'unica menata è che se avete una connessione lenta come la mia, aggiornare firefox implica il download di 16/17MB di roba... non è il massimo della vita, ma non ci sono molte alternative...
Avatar utente
joe
Master
Master
 
Messaggi: 1949
Iscritto il: ven apr 27, 2007 10:21
Slackware: 14.0
Kernel: 3.2.29-smp
Desktop: KDE-4.8.5

Re: Da firefox 4.0 a 10.0: è il caso di aggiornare?

Messaggioda sunreal » ven mar 23, 2012 23:50

fgcl2k ha scritto:Devi mettere il numero di versione di Firefox, non quello di Slackware. Io avevo scritto
Codice: Seleziona tutto
VERSION=11.0
nell'ipotesi che tu stessi installando Firefox 11.0. Lo script cerca di scaricare in automatico il "language pack" (it.xpi) adatto usando il numero di versione. Naturalmente non trova niente di adatto alla versione 13.37 di Firefox.

Per quanto riguarda l'architettura puoi eseguire:
Codice: Seleziona tutto
ARCH=x86_64  VERSION=11.0  ./mozilla-firefox-l10n-it.SlackBuild

Come diceva Zio Paperone... zut zut..al comando:
ARCH=x86_64 VERSION=11.0 ./mozilla-firefox-l10n-it.SlackBuild
ricevo l'oramai solita risposta:
--2012-03-23 23:48:02-- http://releases.mozilla.org/pub/mozilla ... xpi/it.xpi
Resolving releases.mozilla.org (releases.mozilla.org)... 202.177.202.154, 204.152.184.113, 204.246.0.136, ...
Connecting to releases.mozilla.org (releases.mozilla.org)|202.177.202.154|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2012-03-23 23:48:02 ERROR 404: Not Found.

./mozilla-firefox-l10n-it.SlackBuild FAILED at line 51
Non capisco.
sunreal
Master
Master
 
Messaggi: 1549
Iscritto il: sab apr 09, 2005 23:00
Località: P.P.P.

Re: Da firefox 4.0 a 10.0: è il caso di aggiornare?

Messaggioda 414N » sab mar 24, 2012 14:16

Evidentemente lo SlackBuild non cambia la versione che desideri nell'URL di download (infatti compare 6.0.2, che probabilmente non è più disponibile).
Modifica lo SlackBuild nella riga dove viene effettuato il download tramite wget e sostituisci l'URL con
Codice: Seleziona tutto
http://releases.mozilla.org/pub/mozilla.org/firefox/releases/${VERSION}/linux-i686/xpi/it.xpi
Avatar utente
414N
Iper Master
Iper Master
 
Messaggi: 2877
Iscritto il: mer feb 13, 2008 16:19
Località: Bulagna
Slackware: 14.0 (x64)
Kernel: 3.2.29
Desktop: LXDE

Re: Da firefox 4.0 a 10.0: è il caso di aggiornare?

Messaggioda sunreal » dom mar 25, 2012 22:36

Nello slackbuild c'è gia quella voce per conferma allego copia dello stesso.
Allegati
mozilla-firefox-l10n-it.txt
(3.33 KiB) Scaricato 6 volte
sunreal
Master
Master
 
Messaggi: 1549
Iscritto il: sab apr 09, 2005 23:00
Località: P.P.P.

Re: Da firefox 4.0 a 10.0: è il caso di aggiornare?

Messaggioda fgcl2k » lun mar 26, 2012 7:52

414N ha scritto:Evidentemente lo SlackBuild non cambia la versione che desideri nell'URL di download (infatti compare 6.0.2, che probabilmente non è più disponibile).

Infatti è così; probabilmente la versione che uso io me la sono modificata in locale. MI spiace per il disguido ma me ne sono dimenticato.
414N ha scritto:Modifica lo SlackBuild nella riga dove viene effettuato il download tramite wget e sostituisci l'URL con
Codice: Seleziona tutto
http://releases.mozilla.org/pub/mozilla.org/firefox/releases/${VERSION}/linux-i686/xpi/it.xpi

Per fare una modifica che puoi riutilizzare per le prossime versioni cambia la riga:
Codice: Seleziona tutto
VERSION=6.0.2

in
Codice: Seleziona tutto
VERSION=${VERSION:-6.0.2}

e poi puoi usare le istruzioni del mio precedente messaggio.
Così quando esce una nuova versione di firefox puoi ottenere il language pack italiano ripetendo la solita procedura con il nuovo numero di versione.
Codice: Seleziona tutto
ARCH=x86_64  VERSION=11.0  ./mozilla-firefox-l10n-it.SlackBuild
Avatar utente
fgcl2k
Linux 2.0
Linux 2.0
 
Messaggi: 127
Iscritto il: gio ott 29, 2009 10:14
Nome Cognome: Federico
Slackware: 14 (64bit)
Desktop: KDE

Re: Da firefox 4.0 a 10.0: è il caso di aggiornare?

Messaggioda sunreal » lun mar 26, 2012 22:35

OKKKKEY. Finalmente ci siamo riusciti, GRAZIE.
sunreal
Master
Master
 
Messaggi: 1549
Iscritto il: sab apr 09, 2005 23:00
Località: P.P.P.

Re: Da firefox 4.0 a 10.0: è il caso di aggiornare?

Messaggioda hal9000 » mar mar 27, 2012 18:15

Scusate se mi intrometto, ma non volevo aprire un nuovo topic. Ho provato ad installare mozilla-firefox-10.0.2 sia quella della 13.37 sia da sorgenti ma nel primo caso non si avvia e nel secondo caso non si compila ed ottengo sempre lo stesso errore: Couldn' t load XRE functions. La mia versione attuale è la mozilla-firefox-9.0.1 su Slackware 13.1.
Grazie
Avatar utente
hal9000
Linux 2.0
Linux 2.0
 
Messaggi: 133
Iscritto il: dom gen 07, 2007 21:24
Località: Roma
Nome Cognome: Alessandro Zamori
Slackware: 64 14.0
Kernel: huge-3.2.45
Desktop: xfce

Re: Da firefox 4.0 a 10.0: è il caso di aggiornare?

Messaggioda 414N » mar mar 27, 2012 19:00

Per forza... Quella che hai scaricato per Slackware 13.37 è stata compilata con gcc e librerie aggiornate, necessarie anche a runtime.
L'errore che riporti non sembra (almeno da quanto ho avuto modo di vedere da Google al volo) un errore di compilazione ma, piuttosto, un errore a runtime. Prova a riportare l'errore completo.
Avatar utente
414N
Iper Master
Iper Master
 
Messaggi: 2877
Iscritto il: mer feb 13, 2008 16:19
Località: Bulagna
Slackware: 14.0 (x64)
Kernel: 3.2.29
Desktop: LXDE

Re: Da firefox 4.0 a 10.0: è il caso di aggiornare?

Messaggioda hal9000 » gio mar 29, 2012 0:21

Grazie per la risposta. Effettivamente ricompilando da sorgente è andato tutto a buon fine.
Avatar utente
hal9000
Linux 2.0
Linux 2.0
 
Messaggi: 133
Iscritto il: dom gen 07, 2007 21:24
Località: Roma
Nome Cognome: Alessandro Zamori
Slackware: 64 14.0
Kernel: huge-3.2.45
Desktop: xfce

Precedente

Torna a Gnu/Linux in genere

Chi c’è in linea

Visitano il forum: Nessuno e 4 ospiti